#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){

	ofSetVerticalSync(true);

	ofBackground(255, 255, 255);
	TPR.setup();
	playbackStartTime = 0;
	//loopingSound.loadSound("drawbar_c4_a.aif");
	img1.loadImage("radiohead.jpg");
	//loopingSound.setVolume(0);
	//loopingSound.setLoop(true);
	//loopingSound.play();
	//img1.allocate(10,10,OF_IMAGE_COLOR);
	
	
}


//--------------------------------------------------------------
void testApp::update(){

}

//--------------------------------------------------------------
void testApp::draw(){
	
	img1.draw(-100,-100);
	
	// -------------------------- draw the line
	TPR.draw();
	
	// -------------------------- draw the point at the current time
	if (TPR.bHaveADrawing()){			// if we have a drawing to work with
		
		// figure out what time we are at, and make sure we playback cyclically (!)
		// use the duration here and make sure our timeToCheck is in the range of 0 - duration
		float timeToCheck = ofGetElapsedTimef() - playbackStartTime;
		while (timeToCheck > TPR.getDuration() && TPR.getDuration() > 0){
			timeToCheck -= TPR.getDuration();
		}
		
		// get the position and velocity at timeToCheck
		ofPoint pos = TPR.getPositionForTime(timeToCheck);
		ofPoint vel = TPR.getVelocityForTime(timeToCheck);
		
		// since velocity is a line, we want to know how long it is. 
		float lengthOfVel = ofDist(0,0,vel.x, vel.y);
		//printf("%f \n",lengthOfVel);
		float use=ofMap(lengthOfVel,0,500,0,255);
		printf("%f \n",use);
		float soundVolume = ofMap(lengthOfVel, 0,400, 0,1);
	//	loopingSound.setVolume(soundVolume);
		
		float dis = ofMap(pos.x, 0, (float)ofGetWidth(), 0.0,1.0 );
	//	loopingSound.setSpeed(pitch);
		
		
		ofFill();
		//ofSetColor(255,0,0);
		//ofCircle(pos.x, pos.y, 2 + lengthOfVel/10.0);
		if(dis>0.5)
		{
			
			img1.setImageType(OF_IMAGE_GRAYSCALE);
		}
		else
			img1.setImageType(OF_IMAGE_COLOR);
		//ofCircle(100, 100, 100);
		
		ofSetColor(10+use/4, 50+use/10,10+use/2);
		
			
		
	}
	
}

//--------------------------------------------------------------
void testApp::keyPressed(int key){

}

//--------------------------------------------------------------
void testApp::keyReleased(int key){

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){
	TPR.addPoint(x,y);
}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
	TPR.startDrawing(x,y);
}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){
	TPR.endDrawing();
	playbackStartTime = ofGetElapsedTimef();
}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}



